package RepositoryImpl

import javax.crypto.SecretKey
import javax.crypto.SecretKeyFactory
import javax.crypto.spec.PBEKeySpec

fun hashing(password : String): SecretKey? {
    val salt = byteArrayOf(0x00, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f)
    val iterations = 10000
    val keySize = 256
    val keyFactory = SecretKeyFactory.getInstance("PBKDF2WithHmacSHA1")
    val keySpec = PBEKeySpec(password.toCharArray(), salt, iterations, keySize)
    val secretKey = keyFactory.generateSecret(keySpec)
    return secretKey
}
