package model

import java.time.LocalDate
import javax.crypto.SecretKey

open class User(
    val userId: Int,
    val login: String,
    var password: SecretKey?,
    var email: String,
    var phone: String,
    var lastAuthorizeDate: LocalDate
) { open val role: String = "пользователь"}