package RepositoryImpl

import java.time.LocalDate
import model.User
import RepositoryImpl.hashing

fun registration() : User {
    var userLogin = ""
    while (userLogin?.length!! <4){
        print("Введите никнейм: ")
        userLogin = readln()
        if (userLogin.length<4){
            println("Никнейм должен быть больше 4 символов. Попробуйте снова")
        }
    }

    var userPassword = ""
    var dig = 0
    var let = 0
    while (userPassword.length<8 || dig<1 || let<1){
        println("Пароль должен быть не менее 8 символов и должен содеражть буквы и цифры")
        print("Введите пароль: ")
        userPassword = readln()
        dig=0
        let=0
        userPassword.forEach {
            if(it.isDigit()){
                dig+=1
            }
            else if (it.isLetter()){
                let+=1
            }
        }
    }

    print("Повторите пароль: ")
    var secondUserPassword = ""
    while (secondUserPassword != userPassword) {
        secondUserPassword = readln()
        checkNotNull(secondUserPassword)
        if (secondUserPassword != userPassword) {
            println("Пароли не совпадают. Повторите попытку")
        }
    }
    var hashUserPassword= hashing(userPassword)
    var userEmail=""
    while (!("@" in userEmail)){
        print("Введите почту: ")
        userEmail= readln()
    }


    var userPhone = "1234"
    while(!((userPhone.startsWith("89") && userPhone.length == 11) || (userPhone.startsWith("+7") && userPhone.length == 12))) {
        print("Введите номер телефона: ")
        userPhone = readln()
    }

    return User(
        authorizeList.size + 1,
        password = hashUserPassword,
        login = userLogin,
        lastAuthorizeDate = LocalDate.now(),
        email = userEmail,
        phone = userPhone,
        role = role
    )
}